Subject: Re: bug#69691: 30.0.50; vc-pull buffer doesn't fontify links after refresh

From: Eli Zaretskii <[email-masked]>
Date: Fri, 15 Mar 2024 10:08:49 +0200

> Date: Fri, 15 Mar 2024 04:06:23 +0200
> From: Dmitry Gutov <[email-masked]>
> 
> > for instance) is not fontified as such but as ordinary compiler output,
> > and file names inside are not clickable.  This is a bug, since no
> > compelling reason exists to treat VCS commands as compilers once they
> > are executed a second time.
> 
> I guess some specific provision for restoring more of the variables 
> after "recompile" could be made inside vc-compilation-mode's definition.
> 
> Maybe it'll have to go as far as defining a separate major mode and its 
> own "recompile" command with a dedicated binding, since it doesn't seem 
> like 'M-x recompile' runs anything generic that would help us here.

Maybe just customize revert-buffer-function in vc-compilation-mode?